KGuiItem Class Reference

`#include <kguiitem.h>`

Inherited by KAction::KActionPrivate.

## Public Member Functions

| KGuiItem (const QString &text, const QString &iconName=QString::null, const QString &toolTip=QString::null, const QString &whatsThis=QString::null)
| KGuiItem (const QString &text, const QIconSet &iconSet, const QString &toolTip=QString::null, const QString &whatsThis=QString::null)
| KGuiItem (const KGuiItem &rhs)
KGuiItem & | operator= (const KGuiItem &rhs)
QString | text () const
QString | plainText () const
QIconSet | iconSet (KIcon::Group, int size=0, KInstance *instance=KGlobal::instance()) const
QIconSet | iconSet () const
QString | iconName () const
QString | toolTip () const
QString | whatsThis () const
bool | isEnabled () const
bool | hasIcon () const
bool | hasIconSet () const
void | setText (const QString &text)
void | setIconSet (const QIconSet &iconset)
void | setIconName (const QString &iconName)
void | setToolTip (const QString &tooltip)
void | setWhatsThis (const QString &whatsThis)
void | setEnabled (bool enable)

## Detailed Description

An abstract class for GUI data such as ToolTip and Icon.

Author
  Holger Freyther freyh.nosp@m.er@y.nosp@m.ahoo..nosp@m.com

See also
  KStdGuiItem

Definition at line 38 of file kguiitem.h.

## Member Function Documentation

bool KGuiItem::hasIcon | ( |  | ) | const

returns whether an icon is defined, doesn't tell if it really exists

Definition at line 190 of file kguiitem.cpp.

The documentation for this class was generated from the following files:

- kguiitem.h
- kguiitem.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys